{% extends "index.html" %}

{% block content %}
    <div class="bg">
        <div class="container-fluid pt-5">
            <div class="container-fluid">
                <div class="col-12 logo-row pt-3 pb-3">
                    <div class="col-3">
                        <img class="img-fluid logo" src="/static/img/logo.jpeg">
                    </div>
                </div>
            </div>
            <div class="col-12 box-container">
                <div class="col-6 left-text">
                    <h4>Social Network</h4>
                    <h1>Monitoring</h1>
                    <p>Make a decision with us</p>
                </div>
                <div class="col-6 search-form">
                    <h4>FEATURES</h4>
                    <form action="" id='myform' method="post" novalidate>
                       <div class="container search-form-container">
                            {{ form.hidden_tag() }}
                            {{form.location }}
                            {{form.category}}
                            {{form.price}}
                            {{form.season}}
                            {{ form.submit() }}
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <div class="container" style="display: flex;
    flex-wrap: wrap; justify-content: center">
          {% for row in rows %}
            <div class="card mt-5 mb-5 col-5 ml-4" style="width: 50%">
              <div class="card-body">
                <h5 class="card-title">{{loop.index}}.  {{row[2]}}</h5>
                <div class="card-text">
                   <p> City: {{row[0]}}</p>
                    <p>Price: {{row[5]}}</p>
                    <p>Number of hashtags from instagram: {{row[3]}}</p>
                    <img src="{{row[4]}}" class="img-fluid"></img>
                </div>
              </div>
            </div>
          {% endfor %}
    </div>
{% if location %}
        <h1 class="text-center">Most popular places in {{location}}</h1>
        {%endif%}
    <div class="container" style="display: flex;
    flex-wrap: wrap; justify-content: center">

          {% for row in all %}
            <div class="card mt-5 mb-5 col-5 ml-4" style="width: 50%">
              <div class="card-body">
                <h5 class="card-title">{{loop.index}}. {{row[2]}}</h5>
                <div class="card-text">
                   <p> City: {{row[0]}}</p>
                    <p>Price: {{row[5]}}</p>
                    <p>Number of hashtags from instagram: {{row[3]}}</p>
                    <img src="{{row[4]}}" class="img-fluid"></img>
                </div>
              </div>
            </div>
          {% endfor %}
    </div>
{% endblock %}